SocialEngine Blog

SocialEngine is the best way to create a unique community website. Let your friends, fans or customers geek out about anything you want.

SocialEngine PHP 4.10.3 Released

760x3684103release

We are happy to announce the release of SocialEngine PHP 4.10.3. This maintenance release addresses a few issues reported by clients or found by our staff.

Following is a list of fixes in this release:

Bugs Fixed:

  • Fixed – Issue with SDK and Windows local development for language packs.
  • Fixed – Added default “everyone” privacy value for “view_privacy” for SocialEngine official plugins where it was missing. This impacted imported sites.
  • Fixed – Removed 2CO from the admin payment gateway list as social networks are on the 2CO prohibited list. The gateway is still in the files for any experts that may want to work with it.
  • Fixed – Profile video browse UI as it was cutting off details and username for long titled videos.
  • Fixed – Issue with hashtags with a “null” value. (This is not a common issue and most would not have it)
  • Fixed – Added phrase “From %s %s”;”From %s %s” for Recent Messages widget.

A complete changelog is available for more details about the changes and fixes implemented in this 4.10.3 maintenance release.

As always we highly encourage all users to do a complete backup of both files and database before performing this upgrade. Please have the backup performed by your host or a developer if you’re not comfortable with performing it yourself. Always check with third party experts for compatibility with any products you use before upgrading.

Important: If you are on version 4.9.4p1 or below, you will need to follow the special steps in the upgrading documents linked below before upgrading and apply the patch mentioned.

You can download your copy of version 4.10.3 from your client dashboard. Fresh installs should follow our installation tutorial or you can order an installation ticket and our team will get it installed in no time! To upgrade from a previous version to 4.10.3, please view our upgrade documentation or, if you’d rather we take care of the hard stuff, you can order an upgrade and we’ll do it for you.

NOTES:

  • This version requires your server have a minimum PHP 5.6.31 or above.

If you find any issues, please let us know by filing a bug report in our Bug Tracker. We’d like to encourage you to stay connected with the community.

With Great Appreciation,
The SocialEngine Team